Arbor 3: FSM & BT Graph Editor 3.5.3

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties | List of all members
Bezier2D Class Reference

2次元の3次ベジェを扱うクラス More...

## Public Member Functions
| Bezier2D ()
| Bezier2Dを作成する。 More...
| Bezier2D (Vector2 startPosition, Vector2 startControl, Vector2 endPosition, Vector2 endControl)
| Bezier2Dを作成する。 More...
| Bezier2D (Bezier2D bezier)
| Bezier2Dを作成する。 More...
bool | SetStartPoint (Vector2 position, Vector2 control)
| 開始点を設定する。 More...
bool | SetEndPoint (Vector2 position, Vector2 control)
| 終点を設定する。 More...
Vector2 | GetPoint (float t)
| ベジェ曲線上の位置を求める。 More...
Vector2 | GetTangent (float t)
| ベジェ曲線上の接線を求める。 More...
Vector2 | GetClosestPoint (Vector2 pos, float thresholdT=0.001f)
| ベジェ曲線上の最近接点を求める。 More...
float | GetClosestParam (Vector2 pos, float thresholdT=0.001f)
| ベジェ曲線上の最近接パラメータを求める。 More...
float | LinearToInterpolationParam (float t)
| 線形の補間値tからベジェ曲線の通常の補間値を返す。 More...
Vector2 | GetLinearPoint (float t)
| ベジェ曲線上の位置を線形に求める。 More...
bool | Equals (Bezier2D bezier)
| Bezier2Dと等しいかを返す。 More...
override bool | Equals (object obj)
| objectと等しいかを返す。 More...
override int | GetHashCode ()
| ハッシュ値を取得する。 More...

## Static Public Member Functions
static Vector2 | GetPoint (Vector2 startPosition, Vector2 startControl, Vector2 endPosition, Vector2 endControl, float t)
| ベジェ曲線上の位置を求める。 More...
static Vector2 | GetTangent (Vector2 startPosition, Vector2 startControl, Vector2 endPosition, Vector2 endControl, float t)
| ベジェ曲線上の接線を求める。 More...

## Properties
Vector2 | startPosition`[get, set]`
| 始点 More...
Vector2 | startControl`[get, set]`
| 始点のコントロール点 More...
Vector2 | endPosition`[get, set]`
| 終点 More...
Vector2 | endControl`[get, set]`
| 終点のコントロール点 More...
float | length`[get]`
| 長さ More...
bool | isChanged`[get]`
| 変更されたかどうか More...

## Detailed Description

2次元の3次ベジェを扱うクラス

## Constructor & Destructor Documentation

Bezier2D | ( |  | ) |

Bezier2Dを作成する。

Bezier2D | ( | Vector2 | startPosition,
|  | Vector2 | startControl,
|  | Vector2 | endPosition,
|  | Vector2 | endControl
| ) |  |

Bezier2Dを作成する。

Parameters

  startPosition | 始点
  startControl | 始点のコントロール点
  endPosition | 終点
  endControl | 終点のコントロール点

Bezier2D | ( | Bezier2D | bezier | ) |

Bezier2Dを作成する。

Parameters

  bezier | コピー元のBezier2D

## Member Function Documentation

bool Equals | ( | Bezier2D | bezier | ) |

Bezier2Dと等しいかを返す。

Parameters

  bezier | Bezier2Dの値

Returns
  等しい場合にtrueを返す。

override bool Equals | ( | object | obj | ) |

objectと等しいかを返す。

Parameters

  obj | objectの値

Returns
  等しい場合にtrueを返す。

float GetClosestParam | ( | Vector2 | pos,
|  | float | thresholdT = `0.001f`
| ) |  |

ベジェ曲線上の最近接パラメータを求める。

Parameters

  pos | 位置
  thresholdT | 最近接パラメータの閾値

Returns
  最近接パラメータ

Vector2 GetClosestPoint | ( | Vector2 | pos,
|  | float | thresholdT = `0.001f`
| ) |  |

ベジェ曲線上の最近接点を求める。

Parameters

  pos | 位置
  thresholdT | 最近接パラメータの閾値

Returns
  最近接点

override int GetHashCode | ( |  | ) |

ハッシュ値を取得する。

Returns
  ハッシュ値

Vector2 GetLinearPoint | ( | float | t | ) |

ベジェ曲線上の位置を線形に求める。

Parameters

  t | 0から1の値

Vector2 GetPoint | ( | float | t | ) |

ベジェ曲線上の位置を求める。

Parameters

  t | 0から1の値

static Vector2 GetPoint | ( | Vector2 | startPosition,
|  | Vector2 | startControl,
|  | Vector2 | endPosition,
|  | Vector2 | endControl,
|  | float | t
| ) |  |
| static

ベジェ曲線上の位置を求める。

Parameters

  startPosition | 始点
  startControl | 始点のコントロール点
  endPosition | 終点
  endControl | 終点のコントロール点
  t | 0から1の値

Vector2 GetTangent | ( | float | t | ) |

ベジェ曲線上の接線を求める。

Parameters

  t | 0から1の値

static Vector2 GetTangent | ( | Vector2 | startPosition,
|  | Vector2 | startControl,
|  | Vector2 | endPosition,
|  | Vector2 | endControl,
|  | float | t
| ) |  |
| static

ベジェ曲線上の接線を求める。

Parameters

  startPosition | 始点
  startControl | 始点のコントロール点
  endPosition | 終点
  endControl | 終点のコントロール点
  t | 0から1の値

float LinearToInterpolationParam | ( | float | t | ) |

線形の補間値tからベジェ曲線の通常の補間値を返す。

Parameters

  t | 0から1の値

bool SetEndPoint | ( | Vector2 | position,
|  | Vector2 | control
| ) |  |

終点を設定する。

Parameters

  position | 位置
  control | 制御点

Returns
  変更した場合はtrue。

bool SetStartPoint | ( | Vector2 | position,
|  | Vector2 | control
| ) |  |

開始点を設定する。

Parameters

  position | 位置
  control | 制御点

Returns
  変更した場合はtrue。

## Property Documentation

Vector2 endControl
| get set

終点のコントロール点

Vector2 endPosition
| get set

終点

bool isChanged
| get

変更されたかどうか

float length
| get

長さ

Vector2 startControl
| get set

始点のコントロール点

Vector2 startPosition
| get set

始点